<?php

namespace app\model;

use support\Model;

class SysUser extends Model
{
    protected $table = 'sys_user';

    protected $primaryKey = 'user_id';

    public const UPDATED_AT = null;

    protected $keyType = 'string';

    /* 按登录名查找用户 */
    public static function findByLoginName($name)
    {
        return self::where('user_login_name', $name)->first();
    }
}